"use strict";

module.exports = function concat(arrays) {
	if (arrays.length === 0) {
		return [];
	} else if (arrays.length === 1) {
		return arrays[0];
	} else {
		return arrays[0].concat(... arrays.slice(1));
	}
};
